apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: {{ .Values.service.name }}-ingress
  annotations:
    kubernetes.io/ingress.class: nginx
    cert-manager.io/cluster-issuer: {{ .Values.ingress.clusterIssuer }}
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    kubernetes.io/tls-acme: "true"
spec:
  tls:
  - hosts:
    - {{ .Values.ingress.host }}
    secretName: {{ .Values.ingress.secretName }}
  rules:
  - host: {{ .Values.ingress.host }}
    http:
      paths:
      - path: /{{ .Values.service.name }}(/|$)(.*)
        backend:
          serviceName: {{ .Values.service.name }}
          servicePort: 8080